<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Bugtracker</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css"/>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container">
            <a class="navbar-brand" th:href="@{/}">Bugtracker</a>
            <div class="collapse navbar-collapse">
                <ul class="navbar-nav ml-auto">
                    <li>
                        <span class="navbar-text" sec:authentication="name">Username</span> &nbsp; &nbsp; &nbsp;
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" th:href="@{/userList}">Users</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" th:href="@{/logout}">Logout</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <br/><br/>
    <div class="container">

        <form action="#" th:action="@{/saveIssue}" th:object="${issue}" method="post">
            <div class="form-group row">
                <label for="name" class="col-sm-2 col-form-label">Name</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" id="name" th:field="*{name}"/>
                </div>
            </div>
            <div class="form-group row">
                <label for="description" class="col-sm-2 col-form-label">Description</label>
                <div class="col-sm-10">
                    <textarea th:field="*{description}" class="form-control" rows="3" id="description" placeholder="Description"></textarea>
                </div>
            </div>
            <div class="form-group row">
                <label for="estimate" class="col-sm-2 col-form-label">Estimate</label>
                <div class="col-sm-10">
                    <input type="text" th:field="*{estimate}" class="form-control" rows="3" id="estimate" placeholder="Estimate"/>
                </div>
            </div>
            <div class="form-group row">
                <label for="selectUser" class="col-sm-2 col-form-label">Assignee</label>
                <div class="col-sm-10">
                    <select class="form-control" th:field="*{assigneeId}"  id="selectUser">
                        <option th:each="user : ${users}" th:value="${user.id}" th:text="${user.username}"></option>
                    </select>
                </div>
            </div>
            <tr>
                <td><input class="btn btn-dark btn-sm" type="submit" value="Add"/></td>
            </tr>
        </form>
    </div>
</body>
</html>